PelekaPeleka Developers
API ReferenceAudienceContacts

Get engagement analytics for a single contact

GET
/api/v1/contacts/{id}/analytics
X-API-Key<token>

In: header

Path Parameters

id*string

Contact UUID

Query Parameters

range?string
page?string
limit?string

Response Body

application/json

curl -X GET "https://example.com/api/v1/contacts/string/analytics"
{  "metrics": {    "emailsReceived": 45,    "openRate": 26.67,    "clickRate": 6.67,    "totalOrders": 3,    "revenue": 299.99  },  "opensByDevice": [    {      "device": "Mobile",      "count": 8,      "pct": 66.67    },    {      "device": "Desktop",      "count": 4,      "pct": 33.33    }  ],  "clicksByDevice": [    {      "device": "Mobile",      "count": 2,      "pct": 66.67    },    {      "device": "Desktop",      "count": 1,      "pct": 33.33    }  ],  "engagementOverTime": [    {      "month": "Jan 2026",      "opens": 4,      "clicks": 1    },    {      "month": "Feb 2026",      "opens": 3,      "clicks": null    },    {      "month": "Jun 2026",      "opens": 8,      "clicks": 3    }  ],  "emailHistory": {    "data": [      {        "broadcastId": "broadcast-uuid",        "name": "Summer Sale",        "subject": "50% off this weekend",        "sentAt": "2026-06-15T10:00:00Z",        "opened": true,        "clicked": true      }    ],    "total": 45,    "page": 1,    "limit": 20,    "hasMore": true  }}